package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 * (SoSale)实体类
 *
 * @author makejava
 * @since 2023-08-16 15:49:54
 */
public class SoSaleEntity extends BaseEntity {

    private String alrconfincomny;
    private String bcooptopo;
    private String bfreecustflag;
    private String binitflag;
    private String binvoicendflag;
    private String boutendflag;
    private String boverdate;
    private String bpayendflag;
    private String bpocooptome;
    private String breceiptendflag;
    private String bretinvflag;
    private String btransendflag;
    private String capproveid;
    private String cbaltypeid;
    private String cbiztype;
    private String ccalbodyid;
    private String ccooppohid;
    private String ccreditnum;
    private String ccustbankid;
    private String ccustomerid;
    private String cdeptid;
    private String cemployeeid;
    private String cfreecustid;
    private String coperatorid;
    private String creceiptareaid;
    private String creceiptcorpid;
    private String creceiptcustomerid;
    private String creceipttype;
    private String csalecorpid;
    private String csaleid;
    private String ctermprotocolid;
    private String ctransmodeid;
    private String cwarehouseid;
    private String dapprovedate;
    private String daudittime;
    private String dbilldate;
    private String dbilltime;
    private String dmakedate;
    private String dmoditime;
    private Long dr;
    private String editauthor;
    private String editdate;
    private String editionnum;
    private Long finvoiceclass;
    private Long finvoicetype;
    private Long fstatus;
    private Long ibalanceflag;
    private Long iprintcount;
    private String naccountperiod;
    private String ndiscountrate;
    private String nevaluatecarriage;
    private String nheadsummny;
    private String npreceivemny;
    private String npreceiverate;
    private String nsubscription;
    private String ntotalnum;
    private String pkCorp;
    private String pkDefdoc1;
    private String pkDefdoc10;
    private String pkDefdoc11;
    private String pkDefdoc12;
    private String pkDefdoc13;
    private String pkDefdoc14;
    private String pkDefdoc15;
    private String pkDefdoc16;
    private String pkDefdoc17;
    private String pkDefdoc18;
    private String pkDefdoc19;
    private String pkDefdoc2;
    private String pkDefdoc20;
    private String pkDefdoc3;
    private String pkDefdoc4;
    private String pkDefdoc5;
    private String pkDefdoc6;
    private String pkDefdoc7;
    private String pkDefdoc8;
    private String pkDefdoc9;
    private Long srcoutsysflag;
    private String transactionprice;
    private String ts;
    private String vaccountyear;
    private String vdef1;
    private String vdef10;
    private String vdef11;
    private String vdef12;
    private String vdef13;
    private String vdef14;
    private String vdef15;
    private String vdef16;
    private String vdef17;
    private String vdef18;
    private String vdef19;
    private String vdef2;
    private String vdef20;
    private String vdef3;
    private String vdef4;
    private String vdef5;
    private String vdef6;
    private String vdef7;
    private String vdef8;
    private String vdef9;
    private String veditreason;
    private String vnote;
    private String vreceiptcode;
    private String vreceiveaddress;

    //查询条件：审批开始时间
    private String start_daudittime;

    //查询条件：审批结束时间
    private String end_daudittime;

    //原始订单号
    private String tid;

    /**
     * 业务流程
     */
    private String cbiztypes;

    public String getCbiztypes() {
        return cbiztypes;
    }

    public void setCbiztypes(String cbiztypes) {
        this.cbiztypes = cbiztypes;
    }

    /**
     * 表体明细行
     */
    private List<SoSaleorderBEntity> soSaleorderBEntityList;

    public List<SoSaleorderBEntity> getSoSaleorderBEntityList() {
        return soSaleorderBEntityList;
    }

    public void setSoSaleorderBEntityList(List<SoSaleorderBEntity> soSaleorderBEntityList) {
        this.soSaleorderBEntityList = soSaleorderBEntityList;
    }

    public String getTid() {
        return tid;
    }

    public void setTid(String tid) {
        this.tid = tid;
    }

    public String getStart_daudittime() {
        return start_daudittime;
    }

    public void setStart_daudittime(String start_daudittime) {
        this.start_daudittime = start_daudittime;
    }

    public String getEnd_daudittime() {
        return end_daudittime;
    }

    public void setEnd_daudittime(String end_daudittime) {
        this.end_daudittime = end_daudittime;
    }

    public String getAlrconfincomny() {
        return alrconfincomny;
    }

    public void setAlrconfincomny(String alrconfincomny) {
        this.alrconfincomny = alrconfincomny;
    }

    public String getBcooptopo() {
        return bcooptopo;
    }

    public void setBcooptopo(String bcooptopo) {
        this.bcooptopo = bcooptopo;
    }

    public String getBfreecustflag() {
        return bfreecustflag;
    }

    public void setBfreecustflag(String bfreecustflag) {
        this.bfreecustflag = bfreecustflag;
    }

    public String getBinitflag() {
        return binitflag;
    }

    public void setBinitflag(String binitflag) {
        this.binitflag = binitflag;
    }

    public String getBinvoicendflag() {
        return binvoicendflag;
    }

    public void setBinvoicendflag(String binvoicendflag) {
        this.binvoicendflag = binvoicendflag;
    }

    public String getBoutendflag() {
        return boutendflag;
    }

    public void setBoutendflag(String boutendflag) {
        this.boutendflag = boutendflag;
    }

    public String getBoverdate() {
        return boverdate;
    }

    public void setBoverdate(String boverdate) {
        this.boverdate = boverdate;
    }

    public String getBpayendflag() {
        return bpayendflag;
    }

    public void setBpayendflag(String bpayendflag) {
        this.bpayendflag = bpayendflag;
    }

    public String getBpocooptome() {
        return bpocooptome;
    }

    public void setBpocooptome(String bpocooptome) {
        this.bpocooptome = bpocooptome;
    }

    public String getBreceiptendflag() {
        return breceiptendflag;
    }

    public void setBreceiptendflag(String breceiptendflag) {
        this.breceiptendflag = breceiptendflag;
    }

    public String getBretinvflag() {
        return bretinvflag;
    }

    public void setBretinvflag(String bretinvflag) {
        this.bretinvflag = bretinvflag;
    }

    public String getBtransendflag() {
        return btransendflag;
    }

    public void setBtransendflag(String btransendflag) {
        this.btransendflag = btransendflag;
    }

    public String getCapproveid() {
        return capproveid;
    }

    public void setCapproveid(String capproveid) {
        this.capproveid = capproveid;
    }

    public String getCbaltypeid() {
        return cbaltypeid;
    }

    public void setCbaltypeid(String cbaltypeid) {
        this.cbaltypeid = cbaltypeid;
    }

    public String getCbiztype() {
        return cbiztype;
    }

    public void setCbiztype(String cbiztype) {
        this.cbiztype = cbiztype;
    }

    public String getCcalbodyid() {
        return ccalbodyid;
    }

    public void setCcalbodyid(String ccalbodyid) {
        this.ccalbodyid = ccalbodyid;
    }

    public String getCcooppohid() {
        return ccooppohid;
    }

    public void setCcooppohid(String ccooppohid) {
        this.ccooppohid = ccooppohid;
    }

    public String getCcreditnum() {
        return ccreditnum;
    }

    public void setCcreditnum(String ccreditnum) {
        this.ccreditnum = ccreditnum;
    }

    public String getCcustbankid() {
        return ccustbankid;
    }

    public void setCcustbankid(String ccustbankid) {
        this.ccustbankid = ccustbankid;
    }

    public String getCcustomerid() {
        return ccustomerid;
    }

    public void setCcustomerid(String ccustomerid) {
        this.ccustomerid = ccustomerid;
    }

    public String getCdeptid() {
        return cdeptid;
    }

    public void setCdeptid(String cdeptid) {
        this.cdeptid = cdeptid;
    }

    public String getCemployeeid() {
        return cemployeeid;
    }

    public void setCemployeeid(String cemployeeid) {
        this.cemployeeid = cemployeeid;
    }

    public String getCfreecustid() {
        return cfreecustid;
    }

    public void setCfreecustid(String cfreecustid) {
        this.cfreecustid = cfreecustid;
    }

    public String getCoperatorid() {
        return coperatorid;
    }

    public void setCoperatorid(String coperatorid) {
        this.coperatorid = coperatorid;
    }

    public String getCreceiptareaid() {
        return creceiptareaid;
    }

    public void setCreceiptareaid(String creceiptareaid) {
        this.creceiptareaid = creceiptareaid;
    }

    public String getCreceiptcorpid() {
        return creceiptcorpid;
    }

    public void setCreceiptcorpid(String creceiptcorpid) {
        this.creceiptcorpid = creceiptcorpid;
    }

    public String getCreceiptcustomerid() {
        return creceiptcustomerid;
    }

    public void setCreceiptcustomerid(String creceiptcustomerid) {
        this.creceiptcustomerid = creceiptcustomerid;
    }

    public String getCreceipttype() {
        return creceipttype;
    }

    public void setCreceipttype(String creceipttype) {
        this.creceipttype = creceipttype;
    }

    public String getCsalecorpid() {
        return csalecorpid;
    }

    public void setCsalecorpid(String csalecorpid) {
        this.csalecorpid = csalecorpid;
    }

    public String getCsaleid() {
        return csaleid;
    }

    public void setCsaleid(String csaleid) {
        this.csaleid = csaleid;
    }

    public String getCtermprotocolid() {
        return ctermprotocolid;
    }

    public void setCtermprotocolid(String ctermprotocolid) {
        this.ctermprotocolid = ctermprotocolid;
    }

    public String getCtransmodeid() {
        return ctransmodeid;
    }

    public void setCtransmodeid(String ctransmodeid) {
        this.ctransmodeid = ctransmodeid;
    }

    public String getCwarehouseid() {
        return cwarehouseid;
    }

    public void setCwarehouseid(String cwarehouseid) {
        this.cwarehouseid = cwarehouseid;
    }

    public String getDapprovedate() {
        return dapprovedate;
    }

    public void setDapprovedate(String dapprovedate) {
        this.dapprovedate = dapprovedate;
    }

    public String getDaudittime() {
        return daudittime;
    }

    public void setDaudittime(String daudittime) {
        this.daudittime = daudittime;
    }

    public String getDbilldate() {
        return dbilldate;
    }

    public void setDbilldate(String dbilldate) {
        this.dbilldate = dbilldate;
    }

    public String getDbilltime() {
        return dbilltime;
    }

    public void setDbilltime(String dbilltime) {
        this.dbilltime = dbilltime;
    }

    public String getDmakedate() {
        return dmakedate;
    }

    public void setDmakedate(String dmakedate) {
        this.dmakedate = dmakedate;
    }

    public String getDmoditime() {
        return dmoditime;
    }

    public void setDmoditime(String dmoditime) {
        this.dmoditime = dmoditime;
    }

    public Long getDr() {
        return dr;
    }

    public void setDr(Long dr) {
        this.dr = dr;
    }

    public String getEditauthor() {
        return editauthor;
    }

    public void setEditauthor(String editauthor) {
        this.editauthor = editauthor;
    }

    public String getEditdate() {
        return editdate;
    }

    public void setEditdate(String editdate) {
        this.editdate = editdate;
    }

    public String getEditionnum() {
        return editionnum;
    }

    public void setEditionnum(String editionnum) {
        this.editionnum = editionnum;
    }

    public Long getFinvoiceclass() {
        return finvoiceclass;
    }

    public void setFinvoiceclass(Long finvoiceclass) {
        this.finvoiceclass = finvoiceclass;
    }

    public Long getFinvoicetype() {
        return finvoicetype;
    }

    public void setFinvoicetype(Long finvoicetype) {
        this.finvoicetype = finvoicetype;
    }

    public Long getFstatus() {
        return fstatus;
    }

    public void setFstatus(Long fstatus) {
        this.fstatus = fstatus;
    }

    public Long getIbalanceflag() {
        return ibalanceflag;
    }

    public void setIbalanceflag(Long ibalanceflag) {
        this.ibalanceflag = ibalanceflag;
    }

    public Long getIprintcount() {
        return iprintcount;
    }

    public void setIprintcount(Long iprintcount) {
        this.iprintcount = iprintcount;
    }

    public String getNaccountperiod() {
        return naccountperiod;
    }

    public void setNaccountperiod(String naccountperiod) {
        this.naccountperiod = naccountperiod;
    }

    public String getNdiscountrate() {
        return ndiscountrate;
    }

    public void setNdiscountrate(String ndiscountrate) {
        this.ndiscountrate = ndiscountrate;
    }

    public String getNevaluatecarriage() {
        return nevaluatecarriage;
    }

    public void setNevaluatecarriage(String nevaluatecarriage) {
        this.nevaluatecarriage = nevaluatecarriage;
    }

    public String getNheadsummny() {
        return nheadsummny;
    }

    public void setNheadsummny(String nheadsummny) {
        this.nheadsummny = nheadsummny;
    }

    public String getNpreceivemny() {
        return npreceivemny;
    }

    public void setNpreceivemny(String npreceivemny) {
        this.npreceivemny = npreceivemny;
    }

    public String getNpreceiverate() {
        return npreceiverate;
    }

    public void setNpreceiverate(String npreceiverate) {
        this.npreceiverate = npreceiverate;
    }

    public String getNsubscription() {
        return nsubscription;
    }

    public void setNsubscription(String nsubscription) {
        this.nsubscription = nsubscription;
    }

    public String getNtotalnum() {
        return ntotalnum;
    }

    public void setNtotalnum(String ntotalnum) {
        this.ntotalnum = ntotalnum;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkDefdoc1() {
        return pkDefdoc1;
    }

    public void setPkDefdoc1(String pkDefdoc1) {
        this.pkDefdoc1 = pkDefdoc1;
    }

    public String getPkDefdoc10() {
        return pkDefdoc10;
    }

    public void setPkDefdoc10(String pkDefdoc10) {
        this.pkDefdoc10 = pkDefdoc10;
    }

    public String getPkDefdoc11() {
        return pkDefdoc11;
    }

    public void setPkDefdoc11(String pkDefdoc11) {
        this.pkDefdoc11 = pkDefdoc11;
    }

    public String getPkDefdoc12() {
        return pkDefdoc12;
    }

    public void setPkDefdoc12(String pkDefdoc12) {
        this.pkDefdoc12 = pkDefdoc12;
    }

    public String getPkDefdoc13() {
        return pkDefdoc13;
    }

    public void setPkDefdoc13(String pkDefdoc13) {
        this.pkDefdoc13 = pkDefdoc13;
    }

    public String getPkDefdoc14() {
        return pkDefdoc14;
    }

    public void setPkDefdoc14(String pkDefdoc14) {
        this.pkDefdoc14 = pkDefdoc14;
    }

    public String getPkDefdoc15() {
        return pkDefdoc15;
    }

    public void setPkDefdoc15(String pkDefdoc15) {
        this.pkDefdoc15 = pkDefdoc15;
    }

    public String getPkDefdoc16() {
        return pkDefdoc16;
    }

    public void setPkDefdoc16(String pkDefdoc16) {
        this.pkDefdoc16 = pkDefdoc16;
    }

    public String getPkDefdoc17() {
        return pkDefdoc17;
    }

    public void setPkDefdoc17(String pkDefdoc17) {
        this.pkDefdoc17 = pkDefdoc17;
    }

    public String getPkDefdoc18() {
        return pkDefdoc18;
    }

    public void setPkDefdoc18(String pkDefdoc18) {
        this.pkDefdoc18 = pkDefdoc18;
    }

    public String getPkDefdoc19() {
        return pkDefdoc19;
    }

    public void setPkDefdoc19(String pkDefdoc19) {
        this.pkDefdoc19 = pkDefdoc19;
    }

    public String getPkDefdoc2() {
        return pkDefdoc2;
    }

    public void setPkDefdoc2(String pkDefdoc2) {
        this.pkDefdoc2 = pkDefdoc2;
    }

    public String getPkDefdoc20() {
        return pkDefdoc20;
    }

    public void setPkDefdoc20(String pkDefdoc20) {
        this.pkDefdoc20 = pkDefdoc20;
    }

    public String getPkDefdoc3() {
        return pkDefdoc3;
    }

    public void setPkDefdoc3(String pkDefdoc3) {
        this.pkDefdoc3 = pkDefdoc3;
    }

    public String getPkDefdoc4() {
        return pkDefdoc4;
    }

    public void setPkDefdoc4(String pkDefdoc4) {
        this.pkDefdoc4 = pkDefdoc4;
    }

    public String getPkDefdoc5() {
        return pkDefdoc5;
    }

    public void setPkDefdoc5(String pkDefdoc5) {
        this.pkDefdoc5 = pkDefdoc5;
    }

    public String getPkDefdoc6() {
        return pkDefdoc6;
    }

    public void setPkDefdoc6(String pkDefdoc6) {
        this.pkDefdoc6 = pkDefdoc6;
    }

    public String getPkDefdoc7() {
        return pkDefdoc7;
    }

    public void setPkDefdoc7(String pkDefdoc7) {
        this.pkDefdoc7 = pkDefdoc7;
    }

    public String getPkDefdoc8() {
        return pkDefdoc8;
    }

    public void setPkDefdoc8(String pkDefdoc8) {
        this.pkDefdoc8 = pkDefdoc8;
    }

    public String getPkDefdoc9() {
        return pkDefdoc9;
    }

    public void setPkDefdoc9(String pkDefdoc9) {
        this.pkDefdoc9 = pkDefdoc9;
    }

    public Long getSrcoutsysflag() {
        return srcoutsysflag;
    }

    public void setSrcoutsysflag(Long srcoutsysflag) {
        this.srcoutsysflag = srcoutsysflag;
    }

    public String getTransactionprice() {
        return transactionprice;
    }

    public void setTransactionprice(String transactionprice) {
        this.transactionprice = transactionprice;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getVaccountyear() {
        return vaccountyear;
    }

    public void setVaccountyear(String vaccountyear) {
        this.vaccountyear = vaccountyear;
    }

    public String getVdef1() {
        return vdef1;
    }

    public void setVdef1(String vdef1) {
        this.vdef1 = vdef1;
    }

    public String getVdef10() {
        return vdef10;
    }

    public void setVdef10(String vdef10) {
        this.vdef10 = vdef10;
    }

    public String getVdef11() {
        return vdef11;
    }

    public void setVdef11(String vdef11) {
        this.vdef11 = vdef11;
    }

    public String getVdef12() {
        return vdef12;
    }

    public void setVdef12(String vdef12) {
        this.vdef12 = vdef12;
    }

    public String getVdef13() {
        return vdef13;
    }

    public void setVdef13(String vdef13) {
        this.vdef13 = vdef13;
    }

    public String getVdef14() {
        return vdef14;
    }

    public void setVdef14(String vdef14) {
        this.vdef14 = vdef14;
    }

    public String getVdef15() {
        return vdef15;
    }

    public void setVdef15(String vdef15) {
        this.vdef15 = vdef15;
    }

    public String getVdef16() {
        return vdef16;
    }

    public void setVdef16(String vdef16) {
        this.vdef16 = vdef16;
    }

    public String getVdef17() {
        return vdef17;
    }

    public void setVdef17(String vdef17) {
        this.vdef17 = vdef17;
    }

    public String getVdef18() {
        return vdef18;
    }

    public void setVdef18(String vdef18) {
        this.vdef18 = vdef18;
    }

    public String getVdef19() {
        return vdef19;
    }

    public void setVdef19(String vdef19) {
        this.vdef19 = vdef19;
    }

    public String getVdef2() {
        return vdef2;
    }

    public void setVdef2(String vdef2) {
        this.vdef2 = vdef2;
    }

    public String getVdef20() {
        return vdef20;
    }

    public void setVdef20(String vdef20) {
        this.vdef20 = vdef20;
    }

    public String getVdef3() {
        return vdef3;
    }

    public void setVdef3(String vdef3) {
        this.vdef3 = vdef3;
    }

    public String getVdef4() {
        return vdef4;
    }

    public void setVdef4(String vdef4) {
        this.vdef4 = vdef4;
    }

    public String getVdef5() {
        return vdef5;
    }

    public void setVdef5(String vdef5) {
        this.vdef5 = vdef5;
    }

    public String getVdef6() {
        return vdef6;
    }

    public void setVdef6(String vdef6) {
        this.vdef6 = vdef6;
    }

    public String getVdef7() {
        return vdef7;
    }

    public void setVdef7(String vdef7) {
        this.vdef7 = vdef7;
    }

    public String getVdef8() {
        return vdef8;
    }

    public void setVdef8(String vdef8) {
        this.vdef8 = vdef8;
    }

    public String getVdef9() {
        return vdef9;
    }

    public void setVdef9(String vdef9) {
        this.vdef9 = vdef9;
    }

    public String getVeditreason() {
        return veditreason;
    }

    public void setVeditreason(String veditreason) {
        this.veditreason = veditreason;
    }

    public String getVnote() {
        return vnote;
    }

    public void setVnote(String vnote) {
        this.vnote = vnote;
    }

    public String getVreceiptcode() {
        return vreceiptcode;
    }

    public void setVreceiptcode(String vreceiptcode) {
        this.vreceiptcode = vreceiptcode;
    }

    public String getVreceiveaddress() {
        return vreceiveaddress;
    }

    public void setVreceiveaddress(String vreceiveaddress) {
        this.vreceiveaddress = vreceiveaddress;
    }

}

